DOM::CSS2BorderSpacing Class Reference

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2BorderSpacing:

## Public Member Functions

| CSS2BorderSpacing (const CSS2BorderSpacing &other)
| CSS2BorderSpacing (CSS2BorderSpacingImpl *impl)
CSS2BorderSpacing & | operator= (const CSS2BorderSpacing &other)
unsigned short | horizontalType () const
unsigned short | verticalType () const
float | getHorizontalSpacing (const float horizontalType)
float | getVerticalSpacing (const float verticalType)
void | setHorizontalSpacing (const unsigned short horizontalType, const float value)
void | setVerticalSpacing (const unsigned short verticalType, const float value)
void | setInherit ()
Public Member Functions inherited from DOM::CSSValue
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSValue
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }
Protected Attributes inherited from DOM::CSSValue
CSSValueImpl * | impl

## Detailed Description

The `CSS2BorderSpacing` interface represents the border-spacing CSS Level 2 property.

Definition at line 317 of file css_extensions.h.

## Member Function Documentation

float CSS2BorderSpacing::getHorizontalSpacing | ( | const float | horizontalType | ) |

This method is used to get the float value in a specified unit if the `horizontalSpacing` represents a length.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised.

Parameters

  horizontalType | The specified unit.

Returns
  The float value.

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 202 of file css_extensions.cpp.

float CSS2BorderSpacing::getVerticalSpacing | ( | const float | verticalType | ) |

This method is used to get the float value in a specified unit if the `verticalSpacing` represents a length.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised. The value is `0` if only the horizontal value has been specified.

Parameters

  verticalType | The specified unit.

Returns
  The float value.

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 208 of file css_extensions.cpp.

unsigned short CSS2BorderSpacing::horizontalType | ( |  | ) | const

The A code defining the type of the value as defined in `CSSValue` .

It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` or `CSS_INHERIT` .

Definition at line 190 of file css_extensions.cpp.

void CSS2BorderSpacing::setHorizontalSpacing | ( | const unsigned short | horizontalType,
|  | const float | value
| ) |  |

This method is used to set the horizontal spacing with a specified unit.

If the vertical value is a length, it sets the vertical spacing to `0` .

Parameters

  horizontalType | The specified unit.
  value | The new value.

Returns

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 214 of file css_extensions.cpp.

void CSS2BorderSpacing::setInherit | ( |  | ) |

Set this property as inherit.

`horizontalType` and `verticalType` will be inherited.

Returns

Definition at line 226 of file css_extensions.cpp.

void CSS2BorderSpacing::setVerticalSpacing | ( | const unsigned short | verticalType,
|  | const float | value
| ) |  |

This method is used to set the vertical spacing with a specified unit.

If the horizontal value is not a length, it sets the vertical spacing to `0` .

Parameters

  verticalType | The specified unit.
  value | The new value.

Returns

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 220 of file css_extensions.cpp.

unsigned short CSS2BorderSpacing::verticalType | ( |  | ) | const

The A code defining the type of the value as defined in `CSSValue` .

It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` or `CSS_INHERIT` .

Definition at line 196 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys